---
title: Delete Queue Consumer
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Queues](https://developers.cloudflare.com/api/go/resources/queues)

[Consumers](https://developers.cloudflare.com/api/go/resources/queues/subresources/consumers)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Queue Consumer

client.Queues.Consumers.Delete(ctx, queueID, consumerID, body) (\*[ConsumerDeleteResponse](<https://developers.cloudflare.com/api/go/resources/queues#(resource)%20queues.consumers%20%3E%20(model)%20ConsumerDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/queues/{queue\_id}/consumers/{consumer\_id}

Deletes a consumer from a Queue.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Workers Scripts Write`

##### ParametersExpand Collapse

queueID string

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20queue_id%20%3E%20(schema)>)

consumerID string

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20consumer_id%20%3E%20(schema)>)

<details>

<summary>

body ConsumerDeleteParams

</summary>

AccountID param.Field\[string]

A Resource identifier.

maxLength32

<a href="#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ConsumerDeleteResponse struct{…}

</summary>

<details>

<summary>

Errors \[]<a href="https://developers.cloudflare.com/api/go/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)">ResponseInfo</a>Optional

minLength1

</summary>

Code int64

minimum1000

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20code">Link to this property</a>

Message string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

DocumentationURL stringOptional

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

Source ResponseInfoSourceOptional

</summary>

Pointer stringOptional

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20ConsumerDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

Messages \[]stringOptional

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20ConsumerDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

Success ConsumerDeleteResponseSuccessOptional

Indicates if the API call was successful or not.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20ConsumerDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(model)%20ConsumerDeleteResponse%20%3E%20(schema)>)

### Delete Queue Consumer

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  consumer, err := client.Queues.Consumers.Delete(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.ConsumerDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", consumer.Errors)
}
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true
}
```